# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Types | Public Member Functions | Public Attributes

# vl::Dae::TechniqueCOMMON Struct Reference

COLLADA common technique. More...

`#include <DaeHelpers.hpp>`

Inheritance diagram for vl::Dae::TechniqueCOMMON:

List of all members.

## Public Types

enum | { Unknown, Blinn, Phong, Lambert }

## Public Member Functions

| TechniqueCOMMON ()

## Public Attributes

enum vl::Dae::TechniqueCOMMON:: { ... } | mMode
Dae::EOpaqueMode | mOpaqueMode
Dae::ColorOrTexture | mEmission
Dae::ColorOrTexture | mAmbient
Dae::ColorOrTexture | mDiffuse
Dae::ColorOrTexture | mSpecular
float | mShininess
Dae::ColorOrTexture | mReflective
float | mReflectivity
Dae::ColorOrTexture | mTransparent
float | mTransparency
float | mIndexOfRefraction
bool | mBlendingOn

## Detailed Description

COLLADA common technique.

Definition at line 341 of file DaeHelpers.hpp.

## Member Enumeration Documentation

anonymous enum

Enumerator:

  Unknown |
  Blinn |
  Phong |
  Lambert |

Definition at line 365 of file DaeHelpers.hpp.

## Constructor & Destructor Documentation

vl::Dae::TechniqueCOMMON::TechniqueCOMMON | ( | ) | `[inline]`

Definition at line 343 of file DaeHelpers.hpp.

References mAmbient, mBlendingOn, vl::Dae::ColorOrTexture::mColor, mDiffuse, mEmission, mIndexOfRefraction, mMode, mOpaqueMode, mReflective, mReflectivity, mShininess, mSpecular, mTransparency, mTransparent, vl::Dae::OM_A_ONE, and Unknown.

## Member Data Documentation

enum { ... } vl::Dae::TechniqueCOMMON::mMode

Referenced by TechniqueCOMMON().

Dae::EOpaqueMode vl::Dae::TechniqueCOMMON::mOpaqueMode

Definition at line 367 of file DaeHelpers.hpp.

Referenced by vl::DaeLoader::setup_vl_Effect(), and TechniqueCOMMON().

Dae::ColorOrTexture vl::Dae::TechniqueCOMMON::mEmission

Definition at line 369 of file DaeHelpers.hpp.

Referenced by vl::DaeLoader::setup_vl_Effect(), and TechniqueCOMMON().

Dae::ColorOrTexture vl::Dae::TechniqueCOMMON::mAmbient

Definition at line 370 of file DaeHelpers.hpp.

Referenced by vl::DaeLoader::setup_vl_Effect(), and TechniqueCOMMON().

Dae::ColorOrTexture vl::Dae::TechniqueCOMMON::mDiffuse

Definition at line 371 of file DaeHelpers.hpp.

Referenced by vl::DaeLoader::setup_vl_Effect(), and TechniqueCOMMON().

Dae::ColorOrTexture vl::Dae::TechniqueCOMMON::mSpecular

Definition at line 372 of file DaeHelpers.hpp.

Referenced by vl::DaeLoader::setup_vl_Effect(), and TechniqueCOMMON().

float vl::Dae::TechniqueCOMMON::mShininess

Definition at line 373 of file DaeHelpers.hpp.

Referenced by vl::DaeLoader::setup_vl_Effect(), and TechniqueCOMMON().

Dae::ColorOrTexture vl::Dae::TechniqueCOMMON::mReflective

Definition at line 374 of file DaeHelpers.hpp.

Referenced by TechniqueCOMMON().

float vl::Dae::TechniqueCOMMON::mReflectivity

Definition at line 375 of file DaeHelpers.hpp.

Referenced by TechniqueCOMMON().

Dae::ColorOrTexture vl::Dae::TechniqueCOMMON::mTransparent

Definition at line 376 of file DaeHelpers.hpp.

Referenced by vl::DaeLoader::setup_vl_Effect(), and TechniqueCOMMON().

float vl::Dae::TechniqueCOMMON::mTransparency

Definition at line 377 of file DaeHelpers.hpp.

Referenced by vl::DaeLoader::setup_vl_Effect(), and TechniqueCOMMON().

float vl::Dae::TechniqueCOMMON::mIndexOfRefraction

Definition at line 378 of file DaeHelpers.hpp.

Referenced by TechniqueCOMMON().

bool vl::Dae::TechniqueCOMMON::mBlendingOn

Definition at line 379 of file DaeHelpers.hpp.

Referenced by TechniqueCOMMON().

The documentation for this struct was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/plugins/COLLADA/DaeHelpers.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:45:00.
Permission is granted to use this page to write and publish articles regarding Visualization Library.